<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function perfectnum(num){
            for(let j=1;j<=num;j++){
                var sum=0;
                for(let i = 1 ; i < j ; i++ ){
                     if(j % i == 0){
                          sum = sum+i
                     }
                 }
                 if(sum == j){
                    document.write(`${j}${"is a perfectnumber"}`)
                    document.write("<br>")
                     }
                else{
                    document.write(`${j}${"not a perfectnumber"}`)
                    document.write("<br>")
                 }
            }
            

        }
       perfectnum(Number(prompt("enter the your number")))
    </script>
</body>
</html>